std::chrono::treat_as_floating_point< _Rep > Struct Template Reference
Utilities » Time

`#include <chrono.h>`

Inheritance diagram for std::chrono::treat_as_floating_point< _Rep >:
[legend]

## Detailed Description

template<typename _Rep>
struct std::chrono::treat_as_floating_point< _Rep >

Trait indicating whether to treat a type as a floating-point type.

The chrono library uses this trait to tell whether a duration can represent fractional values of the given precision, or only integral values.

You should specialize this trait for your own numeric types that are used with duration and can represent non-integral values.

Since
  C++11

Definition at line 305 of file chrono.h.

The documentation for this struct was generated from the following file:

- chrono.h